package moe.hazu.tinkeringabnormally.data.material;

import moe.hazu.tinkeringabnormally.TinkeringAbnormally;
import slimeknights.tconstruct.library.materials.definition.MaterialId;
import slimeknights.tconstruct.library.materials.definition.MaterialVariantId;

import static slimeknights.tconstruct.library.materials.definition.MaterialVariantId.create;

public final class MaterialIds {
    public static final MaterialVariantId willow = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "willow");
    public static final MaterialVariantId pine = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "pine");
    public static final MaterialVariantId cherry = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "cherry");
    public static final MaterialVariantId wisteria = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "wisteria");
    public static final MaterialVariantId rosewood = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "rosewood");
    public static final MaterialVariantId morado = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "morado");
    public static final MaterialVariantId yucca = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "yucca");
    public static final MaterialVariantId aspen = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "aspen");
    public static final MaterialVariantId laurel = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "laurel");
    public static final MaterialVariantId kousa = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "kousa");
    public static final MaterialVariantId grimwood = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "grimwood");
    public static final MaterialVariantId driftwood = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "driftwood");
    public static final MaterialVariantId river = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "river");
    public static final MaterialVariantId azalea = create(slimeknights.tconstruct.tools.data.material.MaterialIds.wood, "azalea");

    private static MaterialId id(String name) {
        return new MaterialId(TinkeringAbnormally.MODID, name);
    }
}
